//
//	PCH.H
//

#include <windows.h>
#include <tchar.h>
#include <commdlg.h>
#include <aygshell.h>
#include <shellapi.h>
#include <shlobj.h>
#include <stdlib.h>
#include <ctype.h>
#include <limits.h>
#include <stdio.h>

#if !defined VERIFY
#if defined _DEBUG
#define VERIFY(f)			_ASSERT(f)
#else // _DEBUG
#define VERIFY(f)			((VOID)(f))
#endif // _DEBUG
#endif // _VERIFY

#ifdef DEBUG

#define _ASSERT(expr) \
do { \
	if (!(expr)) { \
		TCHAR cBuf[128]; \
		wsprintf(cBuf,L"Module: %s\n\nLine: %d",TEXT(__FILE__),__LINE__); \
		MessageBox(NULL,cBuf,L"ASSERT",MB_OK); \
	} \
} while (0)

#else

#define _ASSERT(expr)

#endif
